Package htsjdk.beta.plugin.variants

# Interface VariantsDecoder

All Superinterfaces:
  `AutoCloseable`, `Closeable`, `HtsDecoder<VCFHeader,VariantContext>`, `HtsQuery<VariantContext>`, `Iterable<VariantContext>`

All Known Implementing Classes:
  `VCFDecoder`, `VCFDecoderV3_2`, `VCFDecoderV3_3`, `VCFDecoderV4_0`, `VCFDecoderV4_1`, `VCFDecoderV4_2`, `VCFDecoderV4_3`

public interface VariantsDecoder extends HtsDecoder<VCFHeader,VariantContext>
Base class for all `HtsContentType.VARIANT_CONTEXTS` decoders.

## Method Summary

### Methods inherited from interface htsjdk.beta.plugin.HtsDecoder

`close, getDisplayName, getFileFormat, getHeader, getVersion`

### Methods inherited from interface htsjdk.beta.plugin.interval.HtsQuery

`hasIndex, isQueryable, iterator, query, query, query, query, queryContained, queryContained, queryContained, queryOverlapping, queryOverlapping, queryOverlapping, queryStart`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`